package com.centreproject.system.service.job.context;

import org.springframework.stereotype.Component;

/**
 * String 类型转换器（默认转换器）
 * @author zhonglei.xu
 */
@Component
public class StringConverter implements TypeConverter<String> {
    @Override
    public String convert(String defaultValue) {
        // 直接返回字符串，无需转换
        return defaultValue;
    }

    @Override
    public Class<String> getTargetType() {
        return String.class;
    }
}